TAU_PROFILER_GET_EXC(3)

Name
TAU_PROFILER_GET_EXCLUSIVE_VALUES - Returns the exclusive amount of a metric spend by this timer.

Synopsis

C/C++:

TAU_PROFILER_GET_EXCLUSIVE_VALUES(Timer timer, double& excl);

description

TAU_PROFILER_GET_EXCLUSIVE_VALUES Returns the exclusive amount of the metric spend while this timer was running (and while no other subsequent timers was running.)

example

>C/C++:

    void *ptr;
    TAU_PROFILER_CREATE(ptr, "foo","", TAU_USER);
    TAU_PROFILER_START(ptr);
    foo(2);
    TAU_PROFILER_STOP(ptr);
    double excl[MAX_TAU_COUNTERS];
    TAU_PROFILER_GET_EXCLUSIVE_VALUES(ptr, &excl);

See Also

TAU_PROFILER_CREATE TAU_PROFILER_START TAU_PROFILER_STOP TAU_PROFILER_GET_CALLS TAU_PROFILER_GET_CHILD_CALLS TAU_PROFILER_GET_INCLUSIVE_VALUES TAU_PROFILER_GET_COUNTER_INFO